Bug 30937 - Race condition in e2fsck output
Race condition in e2fsck output
Product: Red Hat Linux
Classification: Retired
Component: e2fsprogs (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-03-07 03:56 EST by Ed McKenzie
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-04-07 01:55:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ed McKenzie 2001-03-07 03:56:44 EST
e2fsck output seems to have a race condition of some sort. It prints
warning messages like so:

Inode XXX ...
/: Inode XXX ...
Inode XXX
/: Inode XXX
/: Inode XXX
Comment 1 Bill Nottingham 2001-03-07 13:49:58 EST
Is this checking multiple drives at the same time?
Comment 2 Ed McKenzie 2001-03-07 15:04:47 EST
All warnings are from the same volume.
Comment 3 Florian La Roche 2001-04-06 17:03:38 EDT
There was a bug in e2fsprogs which had it run several partitions from a volumne
instead of
just one. Can you please make sure you have e2fsprogs-1.19-3 or higher?

Does it still happen then?
Comment 4 Ed McKenzie 2001-04-07 01:55:29 EDT
I have 1.19-3 (updated yesterday from beta.rhn), and it still tries to check
multiple volumes on the same physical drive simultaneously.
Comment 5 Florian La Roche 2001-05-15 12:09:42 EDT
1.19-4 from Red Hat Linux 7.1 should have a longer list of devices which are
checked to be
on the same disk. I have today put a new rpm based on e2fsprogs-1.20 into
rawhide and that
rpm should have even better logic to detect partitions on the same disk.

So I think this bug should be closed now. Please reopen if you still have
(I have uploaded the current rpm to http://people.redhat.com/laroche/)

Comment 6 Ed McKenzie 2001-05-15 12:53:02 EDT
Wait a sec :)

This bug wasn't related to multiple volumes. It was about e2fsck printing output
like that in the initial bug report above (that is, some lines are formatted "/:
Inode XXX..." while other lines have a carriage return between the label and the
message.) This happens while checking the root partition, when no other volumes
are being checked.

I still see this behavior on 7.1-release.

Note You need to log in before you can comment on or make changes to this bug.